#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/mplayer/codecs.conf.new
config etc/mplayer/dvb-menu.conf.new
config etc/mplayer/mplayer.conf.new
config etc/mplayer/input.conf.new
config etc/mplayer/menu.conf.new


if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

( cd usr/bin ; rm -rf gmplayer )
( cd usr/bin ; ln -sf mplayer gmplayer )
( cd usr/man/it/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/it/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/ru/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/ru/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/de/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/de/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/pl/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/pl/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/es/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/es/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/fr/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/fr/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/cs/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/cs/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/hu/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/hu/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/zh_CN/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/zh_CN/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/man/man1 ; rm -rf mencoder.1.gz )
( cd usr/man/man1 ; ln -sf mplayer.1.gz mencoder.1.gz )
( cd usr/doc/MPlayer-1.1/DOCS/xml/it ; rm -rf ports.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/it ; ln -sf ../en/ports.xml ports.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/it ; rm -rf skin.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/it ; ln -sf ../en/skin.xml skin.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; rm -rf ports.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; ln -sf ../en/ports.xml ports.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; rm -rf encoding-guide.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; ln -sf ../en/encoding-guide.xml encoding-guide.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; rm -rf video.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; ln -sf ../en/video.xml video.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; rm -rf faq.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; ln -sf ../en/faq.xml faq.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; rm -rf install.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; ln -sf ../en/install.xml install.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; rm -rf skin.xml )
( cd usr/doc/MPlayer-1.1/DOCS/xml/zh_CN ; ln -sf ../en/skin.xml skin.xml )
